%define upstream_name    Unicode-Normalize
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Unicode Normalization Forms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Parameters:

'$string' is used as a string under character semantics (see
_perlunicode_).

'$code_point' should be an unsigned integer representing a Unicode code
point.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.170.0-2.mga4
+ Revision: 539289
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 1.170.0-1.mga4
+ Revision: 491768
- update to 1.17

* Wed May 29 2013 jquelin <jquelin> 1.160.0-5.mga4
+ Revision: 432330
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.160.0-4.mga4
+ Revision: 432193
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.160.0-3.mga3
+ Revision: 405585
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 374617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 315586
- update to 1.16

* Mon Oct 01 2012 jquelin <jquelin> 1.150.0-1.mga3
+ Revision: 301471
- imported package perl-Unicode-Normalize


* Mon Oct 01 2012 cpan2dist 1.15-1mga
- initial mageia release, generated with cpan2dist
